Bug 1284635 - Review Request: rubygem-nesty - Nested exception support for Ruby
Review Request: rubygem-nesty - Nested exception support for Ruby
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christos Triantafyllidis
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-23 12:29 EST by Pavel Valena
Modified: 2015-12-04 08:08 EST (History)
2 users (show)

See Also:
Fixed In Version: rubygem-nesty-1.0.2-1.fc24.src.rpm
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-04 07:11:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
christos.triantafyllidis: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Pavel Valena 2015-11-23 12:29:04 EST
Spec URL: https://pvalena.fedorapeople.org/gems/rubygem-nesty.spec
SRPM URL: https://pvalena.fedorapeople.org/gems/rubygem-nesty-1.0.2-1.fc24.src.rpm
Description: Nested exception support for Ruby.
Fedora Account System Username: pvalena
Comment 1 Christos Triantafyllidis 2015-12-02 18:55:10 EST
Hello Pavel,

I'd say that this package is almost ready for packaging (just a minor issue with BuildRequires).

Are you planning to build it for EPEL releases, if so which? I've only tested it Fedora.

Following is my review:
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package contains BuildRequires: ruby(release)
- Package contains BuildRequires: ruby


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
     
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Ruby:
[-]: Platform dependent files must all go under %{gem_extdir_mri}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Macro %{gem_extdir} is deprecated.
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch
[x]: Package does not contain Requires: ruby(abi).

===== SHOULD items =====

Generic:
[x]: Avoid bundling fonts in non-fonts packages.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Ruby:
[x]: Gem should use %gem_install macro.
[x]: Gem package should exclude cached Gem.
[x]: Specfile should use macros from rubygem-devel package.
[x]: Test suite should not be run by rake.
[x]: Test suite of the library should be run.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-nesty-1.0.2-1.fc23.noarch.rpm
          rubygem-nesty-doc-1.0.2-1.fc23.noarch.rpm
          rubygem-nesty-1.0.2-1.fc23.src.rpm
rubygem-nesty.noarch: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
rubygem-nesty (rpmlib, GLIBC filtered):
    ruby(rubygems)

rubygem-nesty-doc (rpmlib, GLIBC filtered):
    /usr/bin/env
    rubygem-nesty



Provides
--------
rubygem-nesty:
    rubygem(nesty)
    rubygem-nesty

rubygem-nesty-doc:
    rubygem-nesty-doc



Source checksums
----------------
https://rubygems.org/gems/nesty-1.0.2.gem :
  CHECKSUM(SHA256) this package     : 1c6ee90b96d46d6dfad9ca1b91104e57c0f46dd24f2a186406026eb75833498b
  CHECKSUM(SHA256) upstream package : 1c6ee90b96d46d6dfad9ca1b91104e57c0f46dd24f2a186406026eb75833498b


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -n rubygem-nesty
Buildroot used: fedora-23-x86_64
Active plugins: Generic, Ruby, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 Pavel Valena 2015-12-03 09:49:04 EST
Hi Christos,

regarding those BuildRequires:
 * These are false positives. There is nothing against mentioned 
in the Guidelines[1]. Explicit requirement ensures building it with cruby.

> Are you planning to build it for EPEL releases, if so which?
 * I am going to build it only for Fedora.

Thank you for your review.


[1] https://fedoraproject.org/wiki/Packaging:Ruby?rd=Packaging/Ruby
Comment 3 Christos Triantafyllidis 2015-12-03 10:04:08 EST
Hello Pavel,

My comment was based on that (from the ruby guidelines you linked):
- There should not be Requires: ruby(release), unless you want to explicitly specify Ruby version compatibility. Automatically generated dependency on RubyGems (Requires: ruby(rubygems)) is enough. 

And given that you don't specify any version I don't think they are needed.

Do we need to have this limited to specific ruby implementation? In that case I think the ruby(release) can still be removed as other implementations do provide it:
$ rpm -q --provides jruby | grep "ruby(release)"
ruby(release) = 1.8.7
ruby(release) = 1.9.3

Cheers,
Christos
Comment 4 Pavel Valena 2015-12-03 11:34:53 EST
Hi Christos,

> - There should not be Requires: ruby(release), unless you want to explicitly
 * I have thought the same first, but this is meant for 'Requires', not 'BuildRequires'. Ensuring cruby during the build, not runtime.

Next, when we keep 'BuildRequires: ruby', we should keep 'BuildRequires: ruby(release)'.

Regards,
Pavel
Comment 5 Christos Triantafyllidis 2015-12-03 12:04:31 EST
Hello Pavel,

I'm covered with this explanation thus I'll APPROVE the package.

You are right about ruby and ruby(release) given that ruby(release) is provided by ruby-libs and not ruby.

Cheers,
Christos
Comment 6 Upstream Release Monitoring 2015-12-03 17:07:17 EST
pvalena's scratch build of rubygem-nesty-1.0.2-1.fc24.src.rpm for f24-candidate completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12040858
Comment 7 Pavel Valena 2015-12-04 07:11:04 EST
Thank you.

Pavel
Comment 8 Gwyn Ciesla 2015-12-04 08:08:12 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rubygem-nesty

Note You need to log in before you can comment on or make changes to this bug.